/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.gamesManagement.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for an achievement reset response.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services Management API. For a
 * detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AchievementResetResponse extends GenericJson {

  /**
   * The current state of the achievement. This is the same as the initial state of the achievement.
   * Possible values are:   - "HIDDEN"- Achievement is hidden.  - "REVEALED" - Achievement is
   * revealed.  - "UNLOCKED" - Achievement is unlocked.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String currentState;

  /**
   * The ID of an achievement for which player state has been updated.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String definitionId;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * gamesManagement#achievementResetResponse.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Flag to indicate if the requested update actually occurred.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean updateOccurred;

  /**
   * The current state of the achievement. This is the same as the initial state of the achievement.
   * Possible values are:   - "HIDDEN"- Achievement is hidden.  - "REVEALED" - Achievement is
   * revealed.  - "UNLOCKED" - Achievement is unlocked.
   * The value returned may be {@code null}.
   */
  public String getCurrentState() {
    return currentState;
  }

  /**
   * The current state of the achievement. This is the same as the initial state of the achievement.
   * Possible values are:   - "HIDDEN"- Achievement is hidden.  - "REVEALED" - Achievement is
   * revealed.  - "UNLOCKED" - Achievement is unlocked.
   * The value set may be {@code null}.
   */
  public AchievementResetResponse setCurrentState(String currentState) {
    this.currentState = currentState;
    return this;
  }

  /**
   * The ID of an achievement for which player state has been updated.
   * The value returned may be {@code null}.
   */
  public String getDefinitionId() {
    return definitionId;
  }

  /**
   * The ID of an achievement for which player state has been updated.
   * The value set may be {@code null}.
   */
  public AchievementResetResponse setDefinitionId(String definitionId) {
    this.definitionId = definitionId;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * gamesManagement#achievementResetResponse.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * gamesManagement#achievementResetResponse.
   * The value set may be {@code null}.
   */
  public AchievementResetResponse setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Flag to indicate if the requested update actually occurred.
   * The value returned may be {@code null}.
   */
  public Boolean getUpdateOccurred() {
    return updateOccurred;
  }

  /**
   * Flag to indicate if the requested update actually occurred.
   * The value set may be {@code null}.
   */
  public AchievementResetResponse setUpdateOccurred(Boolean updateOccurred) {
    this.updateOccurred = updateOccurred;
    return this;
  }

}
